static const char *com_redhat_resolver_varlink = R"INTERFACE(
# The Activator Interface allows to configure and maintain a list of available
# interfaces. When an interface is accessed by a client, the activator receives
# the initial message, starts the service which implements this interface, and
# hands over the listening connection with the initial message.
interface com.redhat.resolver

type Executable (
  path: string,
  user_id: int,
  group_id: int
)

type Service (
  address: string,
  interfaces: []string,
  executable: Executable,
  activate_at_startup: bool
)

type Config (
  vendor: string,
  product: string,
  version: string,
  url: string,
  services: []Service
)

# Retrieve the current configuration.
method GetConfig() -> (config: Config)

# Add services to the list of managed services.
method AddServices(services: []Service) -> ()

# Remove and stop services from the list of manages services.
method RemoveService(services: []Service) -> ()
)INTERFACE";
